alchemy_simulateUserOperationAssetChanges
Simulates userOperations and returns a list of asset changes.
The results provided by this method are based on the blockchain's state at the moment of simulation. Changes in the blockchain state, such as updates to contract variables or balances, can occur between the time of simulation and userOperation execution.
This could lead to different outcomes than predicted. For instance, if a userOperation's effect is conditional on the current state of a contract, and this state is altered before the transaction is executed, the final result may not match the simulation.
Please conside this potential variance when using the API.
Path Parameters
docs-demoFor higher throughput, create your own API key
Request
userOperation to simulate. The signature can be a dummy value; it doesn't need to be valid.
format: "^0x[0-9a-fA-F]{40}$"requiredEntryPoint to use for the simulation. This MUST be one of the EntryPoints returned by the supportedEntryPoints RPC call.
format: "^0x([1-9a-f]+[0-9a-f]*|0)$"optionalOptional block number in context of which the simulation should be executed. If not specified, the current block number is used.
Responses
200
Object containing simulated asset changes and any potential errors.